Show / Hide Table of Contents

# Struct RaptureHotbarModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureHotbarModule

### Fields

| Improve this Doc View Source

#### HotBar

##### Declaration

    public HotBars HotBar

##### Field Value

Type | Description
--- | ---
HotBars |

| Improve this Doc View Source

#### SavedClassJob

##### Declaration

    public SavedHotBars SavedClassJob

##### Field Value

Type | Description
--- | ---
SavedHotBars |

| Improve this Doc View Source

#### UiModule

##### Declaration

    public UIModule*UiModule

##### Field Value

Type | Description
--- | ---
UIModule* |

### Methods

| Improve this Doc View Source

#### ExecuteSlot(HotBarSlot*)

##### Declaration

    public byte ExecuteSlot(HotBarSlot*hotbarSlot)

##### Parameters

Type | Name | Description
--- | --- | ---
HotBarSlot* | hotbarSlot |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ExecuteSlotById(UInt32, UInt32)

##### Declaration

    public byte ExecuteSlotById(uint hotbarId, uint slotId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | hotbarId |
System.UInt32 | slotId |

##### Returns

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GetSlotAppearance(HotbarSlotType*, UInt32*, UInt16*, RaptureHotbarModule*, HotBarSlot*)

##### Declaration

    public static uint GetSlotAppearance(HotbarSlotType*actionType, uint *actionId, ushort *UNK_0xC4, RaptureHotbarModule*hotbarModule, HotBarSlot*slot)

##### Parameters

Type | Name | Description
--- | --- | ---
HotbarSlotType* | actionType |
System.UInt32* | actionId |
System.UInt16* | UNK_0xC4 |
RaptureHotbarModule* | hotbarModule |
HotBarSlot* | slot |

##### Returns

Type | Description
--- | ---
System.UInt32 |